-- LuaTools需要PROJECT和VERSION这两个信息
PROJECT = "uart_irq"
VERSION = "1.0.0"

log.info("main", PROJECT, VERSION)

-- 引入必要的库文件(lua编写), 内部库不需要require
sys = require("sys")


-- mobile.flymode(0,true)
if wdt then
    --添加硬狗防止程序卡死，在支持的设备上启用这个功能
    wdt.init(9000)--初始化watchdog设置为9s
    sys.timerLoopStart(wdt.feed, 3000)--3s喂一次狗
end
log.info("main", "cc0258_gnss")
gpio.setup(0, function()
    sys.publish("GO")
end)
pm.ioVol(pm.IOVOL_ALL_GPIO, 3300) -- 所有GPIO高电平输出3.3V
sys.taskInit(function()
          sys.wait(100)
         while 1 do
              sys.waitUntil("GO")
              gpio.setup(23, 0,gpio.PULLUP)
              sys.wait(2)
              gpio.setup(23, 1,gpio.PULLUP)
              log.info("main", "打开WIFI 电源12")
         end
end)
-- mcu.hardfault(0)    --死机后停机，一般用于调试状态

-- mcu.altfun(mcu.UART,2,21,2)--UART2复用
-- mcu.altfun(mcu.UART,2,22,2)--UART2复用

-- require"LIBGNSS_8000"



-- 用户代码已结束---------------------------------------------
-- 结尾总是这一句
sys.run()
-- sys.run()之后后面不要加任何语句!!!!!
